package cn.com.infosec.mobile.android.managers;

import android.content.Context;
import android.support.annotation.Keep;
import android.support.annotation.NonNull;
import android.text.TextUtils;
import cn.com.infosec.mobile.android.IMSQRAction;
import cn.com.infosec.mobile.android.IMSSdk;
import cn.com.infosec.mobile.android.net.NetworkInterface;
import cn.com.infosec.mobile.android.result.Result;
import cn.com.infosec.mobile.android.xlog.XLog;
import java.util.Map;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.json.JSONObject;

@Keep
public class QRManager {
   private IMSQRAction imsQRAction;
   private SignManager signManager;
   private TokenManager tokenManager;

   public QRManager(Context context) {
      QRManager var10000 = this;
      QRManager var10001 = this;
      QRManager var10002 = this;
      super();
      IMSQRAction var2;
      var2 = new IMSQRAction.<init>(context);
      var10002.imsQRAction = var2;
      SignManager var3;
      var3 = new SignManager.<init>(context);
      var10001.signManager = var3;
      TokenManager var4;
      var4 = new TokenManager.<init>(context);
      var10000.tokenManager = var4;
   }

   private Result doQRLogin(@NonNull String userName, String[] parsedQRData, String signData, int flag) {
      Exception var10000;
      label41: {
         Map var13;
         boolean var10001;
         try {
            var13 = this.imsQRAction.qrLoginBegin(userName, parsedQRData, signData, flag);
         } catch (Exception var9) {
            var10000 = var9;
            var10001 = false;
            break label41;
         }

         Map userName1 = var13;
         if (var13 == null) {
            try {
               return this.imsQRAction.getLatestResult();
            } catch (Exception var5) {
               var10000 = var5;
               var10001 = false;
            }
         } else {
            label43: {
               QRManager var14;
               NetworkInterface var15;
               try {
                  var14 = this;
                  var15 = IMSSdk.networkInterface;
               } catch (Exception var8) {
                  var10000 = var8;
                  var10001 = false;
                  break label43;
               }

               String var10002 = "/";

               JSONObject var16;
               try {
                  var16 = var15.httpPost(var10002.concat(IMSSdk.APP_NAME).concat("/qrcode/loginByQRCode"), userName1);
               } catch (Exception var7) {
                  var10000 = var7;
                  var10001 = false;
                  break label43;
               }

               JSONObject var10 = var16;

               try {
                  return var14.imsQRAction.qrLoginFinal(var10);
               } catch (Exception var6) {
                  var10000 = var6;
                  var10001 = false;
               }
            }
         }
      }

      Exception var11 = var10000;
      var11.printStackTrace();
      return new Result("IE1015", var11);
   }

   public void qrLoginByCert(@NonNull String userName, @NonNull String PIN, @NonNull String qrData, int type, @NonNull Result.ResultListener resultListener) {
      String[] qrData1;
      if ((qrData1 = this.imsQRAction.parseQRData(qrData)) == null) {
         resultListener.handleResult(this.imsQRAction.getLatestResult());
      } else {
         SignManager var10000 = this.signManager;
         byte[] var10002 = qrData1[1].getBytes();
         Result.ResultListener var6;
         var6 = new Result.ResultListener() {
            // $FF: synthetic field
            final int val$type;
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;
            // $FF: synthetic field
            final String val$userName;
            // $FF: synthetic field
            final String[] val$parsedQRData;

            {
               this.val$type = var2;
               this.val$resultListener = var3;
               this.val$userName = var4;
               this.val$parsedQRData = var5;
            }

            public void handleResult(Result result) {
               String result1;
               if (TextUtils.equals("000000", result.getResultID())) {
                  result1 = result.getResultDesc();
                  int var2 = this.val$type + 1;
                  Result.ResultListener var10000 = this.val$resultListener;
                  QRManager var10001 = QRManager.this;
                  <undefinedtype> var10002 = this;
                  String var3 = this.val$userName;
                  var10000.handleResult(var10001.doQRLogin(var3, var10002.val$parsedQRData, result1, var2));
               } else {
                  Result var6 = result;
                  this.val$resultListener.handleResult(result);
                  Logger var7 = IMSSdk.mLogger;
                  Level var4 = Level.SEVERE;
                  result1 = result.toString();
                  var7.log(var4, "二维码登录失败:".concat(result1));
                  XLog.d("二维码登录失败:".concat(var6.toString()));
               }

            }
         }.<init>(type, resultListener, userName, qrData1);
         var10000.sign(userName, PIN, var10002, type, var6);
      }
   }

   public Result qrLoginByCert(@NonNull String userName, @NonNull String PIN, @NonNull String qrData, int type) {
      String[] qrData1;
      if ((qrData1 = this.imsQRAction.parseQRData(qrData)) == null) {
         return this.imsQRAction.getLatestResult();
      } else {
         Result PIN1;
         if (TextUtils.equals("000000", (PIN1 = this.signManager.sign(userName, PIN, qrData1[1].getBytes(), type)).getResultID())) {
            QRManager var10000 = this;
            String var9 = PIN1.getResultDesc();
            int var6 = type + 1;
            return var10000.doQRLogin(userName, qrData1, var9, var6);
         } else {
            Logger var10002 = IMSSdk.mLogger;
            Level var5 = Level.SEVERE;
            userName = PIN1.toString();
            var10002.log(var5, "二维码登录失败:".concat(userName));
            XLog.d("二维码登录失败:".concat(PIN1.toString()));
            return PIN1;
         }
      }
   }

   public void qrLoginByToken(@NonNull String userName, @NonNull String PIN, @NonNull String qrData, @NonNull Result.ResultListener resultListener) {
      String[] qrData1;
      if ((qrData1 = this.imsQRAction.parseQRData(qrData)) == null) {
         resultListener.handleResult(this.imsQRAction.getLatestResult());
      } else {
         TokenManager var10000 = this.tokenManager;
         long var5 = System.currentTimeMillis() / 1000L;
         String var7 = qrData1[1];
         Result.ResultListener var8;
         var8 = new Result.ResultListener() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;
            // $FF: synthetic field
            final String val$userName;
            // $FF: synthetic field
            final String[] val$parsedQRData;

            {
               this.val$resultListener = var2;
               this.val$userName = var3;
               this.val$parsedQRData = var4;
            }

            public void handleResult(Result result) {
               String result1;
               if (TextUtils.equals("000000", result.getResultID())) {
                  result1 = result.getResultDesc();
                  Result.ResultListener var10000 = this.val$resultListener;
                  QRManager var10001 = QRManager.this;
                  <undefinedtype> var10002 = this;
                  String var2 = this.val$userName;
                  var10000.handleResult(var10001.doQRLogin(var2, var10002.val$parsedQRData, result1, 0));
               } else {
                  Result var5 = result;
                  this.val$resultListener.handleResult(result);
                  Logger var6 = IMSSdk.mLogger;
                  Level var3 = Level.SEVERE;
                  result1 = result.toString();
                  var6.log(var3, "二维码登录失败:".concat(result1));
                  XLog.d("二维码登录失败:".concat(var5.toString()));
               }

            }
         }.<init>(resultListener, userName, qrData1);
         var10000.getOTP(userName, PIN, "GUOMI", var5, var7, 6, 60, var8);
      }
   }

   public Result qrLoginByToken(@NonNull String userName, @NonNull String PIN, @NonNull String qrData) {
      String[] qrData1;
      if ((qrData1 = this.imsQRAction.parseQRData(qrData)) == null) {
         return this.imsQRAction.getLatestResult();
      } else {
         TokenManager var10000 = this.tokenManager;
         long var4 = System.currentTimeMillis() / 1000L;
         String var6 = qrData1[1];
         Result PIN1;
         if (TextUtils.equals("000000", (PIN1 = var10000.getOTP(userName, PIN, "GUOMI", var4, var6, 6, 60)).getResultID())) {
            return this.doQRLogin(userName, qrData1, PIN1.getResultDesc(), 0);
         } else {
            Logger var10002 = IMSSdk.mLogger;
            Level var7 = Level.SEVERE;
            userName = PIN1.toString();
            var10002.log(var7, "二维码登录失败:".concat(userName));
            XLog.d("二维码登录失败:".concat(PIN1.toString()));
            return PIN1;
         }
      }
   }
}
